%define lucenever	1.0.1

Summary: open-source document-management-system
Name: LetoDMS
Version: 3.3.6
Release: 1.lux.1
License: GPL
Group: Applications/Misc
URL: http://www.letodms.com/

Packager: Luigi Iotti <luigi@iotti.biz>
Vendor: Luigi Iotti, http://www.iotti.biz/

Source: LetoDMS-%{version}.tar.gz
Source1: LetoDMS_Core-%{version}.tgz
Source2: LetoDMS_Lucene-%{lucenever}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: mysql-devel

Requires: webserver, mysql
Requires: php, php-mysql, php-adodb
Requires: php-gd, php-mbstring
Requires: php-pear, php-pear-Log, php-pear-HTTP-WebDAV-Server
Requires: php-ZendFramework-Search-Lucene

%description
OpenDocMan is a free document management system (DMS) designed to comply
with ISO 17025 and OIE standard for document management.
It features web based access, fine grained control of access to files,
and automated install and upgrades.

%prep
%setup -n letoDMS-%{version}

tar xzvf %{SOURCE1}
rm package.xml
%{__mv} LetoDMS_Core-%{version}/* .
rmdir LetoDMS_Core-%{version}

tar xzvf %{SOURCE2}
rm package.xml
%{__mv} LetoDMS_Lucene-%{lucenever}/* .
rmdir LetoDMS_Lucene-%{lucenever}

# Pare che adodb non sia piu incluso qui
#%{__rm} -rf adodb	# non vedo xche' non usare quella che ho gia'

for file in `find . -type f`; do
	perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} s/\r\n$/\n/;' $file
done

perl -pi -e 's{var \$_rootDir = .*}{var \$_rootDir = "/var/www/letodms/";}' inc/inc.Settings.php
perl -pi -e 's{var \$_httpRoot = .*}{var \$_httpRoot = "/letodms/";}' inc/inc.Settings.php
perl -pi -e 's{var \$_contentDir = .*}{var \$_contentDir = "/var/www/letodms_repository/";}' inc/inc.Settings.php
perl -pi -e 's{var \$_ADOdbPath = .*}{var \$_ADOdbPath = "/usr/share/php/adodb/";}' inc/inc.Settings.php
perl -pi -e 's{var \$_dbDatabase = .*}{var \$_dbDatabase = "letodms";}' inc/inc.Settings.php
perl -pi -e 's{var \$_dbUser = .*}{var \$_dbUser = "letodms";}' inc/inc.Settings.php
perl -pi -e 's{var \$_dbPass = .*}{var \$_dbPass = "letodms";}' inc/inc.Settings.php

### Add a default letodms.conf for Apache.
%{__cat} <<EOF >letodms.httpd
Alias /letodms/ %{_localstatedir}/www/letodms/
<Directory %{_localstatedir}/www/letodms/>
    DirectoryIndex index.php
    Options -Indexes
    AllowOverride all
    order deny,allow
    deny from all
    allow from 127.0.0.1
    AddType application/x-httpd-php .php
    php_flag magic_quotes_gpc on
    php_flag track_vars on
</Directory>

# Make sure settings.xml can not be opened from outside!
#Redirect /conf/settings.xml /index.php
<Directory %{_localstatedir}/www/letodms/conf/>
    <Files ~ "^settings\.xml">
        Order allow,deny
        Deny from all
    </Files>
</Directory>
EOF

%build

%install
%{__rm} -rf %{buildroot}
%{__install} -Dp -m0644 letodms.httpd %{buildroot}%{_sysconfdir}/httpd/conf.d/letodms.conf

%{__install} -d -m0755 %{buildroot}%{_localstatedir}/www/letodms/
#%{__install} -p -m0644 .htaccess *.php *.sql %{buildroot}%{_localstatedir}/www/letodms/
#%{__cp} -av drupal-theme inc/ js/ languages/ op/ out/ styles/ themes/ UPDATE/ %{buildroot}%{_localstatedir}/www/letodms/
%{__cp} -av . %{buildroot}%{_localstatedir}/www/letodms/
%{__rm} -f %{buildroot}%{_localstatedir}/www/letodms/letodms.httpd %{buildroot}%{_localstatedir}/www/letodms/CHANGELOG* %{buildroot}%{_localstatedir}/www/letodms/LICENSE %{buildroot}%{_localstatedir}/www/letodms/README* %{buildroot}%{_localstatedir}/www/letodms/TODO %{buildroot}%{_localstatedir}/www/letodms/runNotifyMailer.bat %{buildroot}%{_localstatedir}/www/letodms/Makefile %{buildroot}%{_localstatedir}/www/letodms/conf/.htaccess


#%pre
#if ! /usr/bin/id letodms &>/dev/null; then
#    /usr/sbin/useradd -r -d %{_localstatedir}/www/letodms -s /bin/sh -c "letodms" letodms || \
#        %logmsg "Unexpected error adding user \"letodms\". Aborting installation."
#fi

#%postun
#if [ $1 -eq 0 ]; then
#    /usr/sbin/userdel letodms || %logmsg "User \"letodms\" could not be deleted."
#fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,apache,0770)
%attr(0770,root,apache) %dir %{_localstatedir}/www/letodms/conf/
%defattr(-, root, root, 0755)
%doc CHANGELOG CHANGELOG-1.8.1 LICENSE README TODO
%config(noreplace) %{_localstatedir}/www/letodms/inc/inc.Settings.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/letodms.conf
%dir %{_localstatedir}/www/letodms/
#%{_localstatedir}/www/letodms/.htaccess
%{_localstatedir}/www/letodms/*.php
%{_localstatedir}/www/letodms/*.sql
#%{_localstatedir}/www/letodms/drupal-theme/
%{_localstatedir}/www/letodms/conf/*
%{_localstatedir}/www/letodms/inc/
%{_localstatedir}/www/letodms/js/
%{_localstatedir}/www/letodms/languages/
%{_localstatedir}/www/letodms/op/
%{_localstatedir}/www/letodms/out/
%{_localstatedir}/www/letodms/styles/
#%{_localstatedir}/www/letodms/themes/
#%{_localstatedir}/www/letodms/UPDATE/
%{_localstatedir}/www/letodms/Core/
%{_localstatedir}/www/letodms/Lucene/
%{_localstatedir}/www/letodms/install/
%{_localstatedir}/www/letodms/tests/
%{_localstatedir}/www/letodms/utils/
%{_localstatedir}/www/letodms/webdav/

#%defattr(-, letodms, letodms, 0755 )
#%{_localstatedir}/www/letodms/log/
#%{_localstatedir}/www/letodms/rra/

%changelog

